---
title: About Me
---

## Overview

My name is Sam Al-Sapti. I'm a 6th semester Software Development B.Sc. student
at the IT-University of Copenhagen. My main interests are backend development,
DevOps, DevSecOps, IT security, open-source and Linux.

Furthermore, I'm an advocate for online privacy, I'm against attention economy
and surveillance capitalism, I'm a big supporter of the Free Software movement,
I'm a digital minimalist, and I'm a member of [data.coop](https://data.coop)
(I'm also one of the system administrators). Also, you won't find me on
[Facebook](https://fsf.org/fb) or any other social media platform (except for
[LinkedIn](https://www.linkedin.com/in/sam-a-dev/), but that's not really a
social media platform).

## My skills

Some technologies and tech concepts I'm familiar with are:

- Programming languages:
  - Bash
  - C
  - C++
  - C#
  - F#
  - Go
  - Java
  - Python
- DevOps, CI/CD pipelines, Ansible, cloud (DigitalOcean, Hetzner), Git
- Docker/Podman, virtualization software (QEMU/KVM, VirtualBox, Vagrant)
- Linux systems and server environments
- Basic IT security principles and best practices
- SQL and Relational Database Management Systems (RDBMS)

## Free services

I host some online services that you're welcome to use free of charge.

- [Lingva](https://translate.sapti.me)
  ([onion service](http://22qfd63ax4zt5arctpfh62kvjekap7yrdfzwq5kv5jvhew5hcpq6vgyd.onion)) -
  An alternative way of accessing Google Translate without being tracked.
- [SearXNG](https://search.sapti.me)
  ([onion service](http://gbat2pbpg7ys3fi3pbp64667tt5x66mg45xok35bxdw7v55brm7a27yd.onion)) -
  A metasearch engine that gets its results from other search engines while
  protecting your privacy.
- [An SMP server](smp://PUDVvQiNbsYG6gXYC2-GYUIQnNICi3BoxKGDKWX55uM=@smp01.simplex.sapti.me,pcexmrs4eod35vdvidq47jce7mnsfm26j27anttoy4zprc25pulkcfyd.onion) -
  A server used by [SimpleX Chat](https://simplex.chat) to relay messages
  between users. Server address:
  ```txt
  smp://PUDVvQiNbsYG6gXYC2-GYUIQnNICi3BoxKGDKWX55uM=@smp01.simplex.sapti.me,pcexmrs4eod35vdvidq47jce7mnsfm26j27anttoy4zprc25pulkcfyd.onion
  ```

## Want to know more?

Feel free to contact me if you want to know more about me. As I'll be
completing my bachelor's degree this summer, I'm currently on the lookout for a
full-time job. As such, if you're a recruiter, you're more than welcome to
contact me as well.

Find my contact information [here]({{< relref "contact.md" >}}).
